org.jbpm.services.task.audit.commands

## Class GetAllHistoryAuditTasksByUserCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.internal.task.api.AuditTask>>
  - - org.jbpm.services.task.audit.commands.GetAllHistoryAuditTasksByUserCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<org.kie.internal.task.api.AuditTask>>, org.kie.api.command.Command<List<org.kie.internal.task.api.AuditTask>>

      public class GetAllHistoryAuditTasksByUserCommand
      extends TaskCommand<List<org.kie.internal.task.api.AuditTask>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAllHistoryAuditTasksByUserCommand()`
    `GetAllHistoryAuditTasksByUserCommand(String owner, org.kie.internal.query.QueryFilter filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.internal.task.api.AuditTask>` | `execute(org.kie.api.runtime.Context context)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### GetAllHistoryAuditTasksByUserCommand

          public GetAllHistoryAuditTasksByUserCommand()

    - #### GetAllHistoryAuditTasksByUserCommand

          public GetAllHistoryAuditTasksByUserCommand(String owner,
                                                      org.kie.internal.query.QueryFilter filter)

  - ### Method Detail

    - #### execute

          public List<org.kie.internal.task.api.AuditTask> execute(org.kie.api.runtime.Context context)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.